%define _noVersionedDependencies 1

Summary: The Linux kernel (the core of the Linux operating system).
Summary(ja): Linux ͥ (Linux ڥ졼ƥ󥰥ƥο¡ʬ)
Name: kernel

%define buildsmp 0
%define buildBOOT 0

%define subrelease 0vl2
%define sublevel 22
%define kversion 2.4.%{sublevel}

# disable build root strip policy
%define __spec_install_post /usr/lib/rpm/brp-compress || :

Version: %{kversion}
Release: 0vl2S56
%define KVERREL %{PACKAGE_VERSION}-%{PACKAGE_RELEASE}
License: GPL
Group: System Environment/Kernel
ExclusiveArch: i386 i586 i686 athlon ppc mips alpha sparc sparc64
ExclusiveOS: Linux
Obsoletes: kernel-modules, kernel-sparc

# For backward compatibility
Provides:  kernel24 = %{version}

Vendor: mkkpkg (kernel-2.4.22-0vl2S55)
Distribution: Local

# groups of related archs
%define all_mips mips mipsel
%define all_arm arm armv4l
%define all_ppc ppc ppciseries ppcpseries ppc64
%define all_x86 i386 i586 i686 athlon x86_64

%ifarch %{all_ppc}
%define _ppc_minimum_patches 1
%else
%define _ppc_minimum_patches 0
%endif

# features
# note: do not enable both debugging and ikd, as ikd includes debugging already
%define debugging 0
%define ikd 0
%define ibcs 0

Source0: ftp://ftp.kernel.org/pub/linux/kernel/v2.4/linux-%{version}.tar.bz2
Source2: README.kernel-sources

Source11: module-info
Source12: installkernel
Source13: rhkmvtag.c
Source14: kernel-2.4-BuildASM.sh
Source15: linux-autoconf.h
Source16: linux-version.h
Source17: linux-modversions.h
#Source18: kernel-2.2-modulerename.script.vine21
Source18: kernel-2.2-modulerename.script

Source20: kernel-%{kversion}-i386.config
Source21: kernel-%{kversion}-i386-smp.config
Source22: kernel-%{kversion}-i386-BOOT.config
Source23: kernel-%{kversion}-alpha.config
Source24: kernel-%{kversion}-alpha-smp.config
Source25: kernel-%{kversion}-sparc.config
Source26: kernel-%{kversion}-sparc-smp.config
Source27: kernel-%{kversion}-sparc64.config
Source28: kernel-%{kversion}-sparc64-smp.config
Source29: kernel-%{kversion}-i686.config
Source30: kernel-%{kversion}-i686-smp.config
Source31: kernel-%{kversion}-alpha-BOOT.config
Source32: kernel-%{kversion}-sparc-BOOT.config
Source33: kernel-%{kversion}-sparc64-BOOT.config
Source34: kernel-%{kversion}-i586.config
Source35: kernel-%{kversion}-i586-smp.config
# since there are no space issues, a -BOOT is rather pointless
#Source36: kernel-%{kversion}-ia64.config
#Source37: kernel-%{kversion}-ia64-smp.config
#Source38: kernel-%{kversion}-i686-bigmem.config
#Source39: kernel-%{kversion}-i686-debug.config
Source40: kernel-%{kversion}-athlon.config
Source41: kernel-%{kversion}-athlon-smp.config
#Source42: kernel-%{kversion}-alpha-jensen.config
#Source43: kernel-%{kversion}-s390-BOOTtape.config
#Source44: kernel-%{kversion}-s390-BOOT.config
#Source45: kernel-%{kversion}-s390-tape.config
#Source46: kernel-%{kversion}-s390.config
#Source47: kernel-%{kversion}-ia64-BOOT.config
#Source48: kernel-%{kversion}-x86_64.config
#Source49: kernel-%{kversion}-x86_64-smp.config
Source50: installkernel.iSeries
Source51: installcmdline.iSeries
Source52: kernel-%{kversion}-ppc.config
#Source53: kernel-%{kversion}-ppcpseries.config
#Source54: kernel-%{kversion}-ppcpseries-smp.config
#Source55: kernel-%{kversion}-ppcpseries-BOOT.config
#Source56: kernel-%{kversion}-s390x-BOOTtape.config
#Source57: kernel-%{kversion}-s390x-BOOT.config
#Source58: kernel-%{kversion}-s390x-tape.config
#Source59: kernel-%{kversion}-s390x.config
#Source60: kernel-%{kversion}-ppc64-smp.config
#Source61: kernel-%{kversion}-ppc64-BOOT.config
#Source62: kernel-%{kversion}-i686-uml.config
#Source63: kernel-%{kversion}-sh.config
Source64: kernel-%{kversion}-mips.config
Source65: kernel-%{kversion}-ppc-smp.config

#Source55: http://www.linux.or.jp/JF/JFdocs/Configure.help/Configure.help-%{version}.ja.gz
Source56: http://www.linux.or.jp/JF/JFdocs/kernel-docs-2.4-current.tar.gz

# The general patch ordering idea is:
#   General bug fix patches first
#   Large patches that change core kernel code next
#   Driver specific patches last

#
# Patches 0 through 100 are meant for core subsystem upgrades
#

#Patch0: patch-2.4.22-pre1.bz2

#
# Patches 100 through 400 are architecture specific patches
# Each architecture has 20 slots reserved.
#

# IA64
Patch100: linux-2.4.18-ia64-core.patch
Patch101: linux-2.4.9-ia64-junk.patch
Patch102: linux-2.4.9-ia64-cs4281.patch
Patch103: linux-2.4.9-ia64-compile.patch
Patch104: linux-2.4.1-ia64-swiotlb.patch
Patch105: linux-2.4.5-ia64-unaligned.patch
Patch106: linux-2.4.9-ia64-unwind.patch
Patch107: linux-2.4.9-ia64-trapinfo.patch
Patch108: linux-2.4.3-ia64-ppp.patch
Patch110: linux-2.4.9-ia64-updates.patch
Patch111: linux-2.4.17-ia64-scheduler.patch


# Alpha
Patch120: linux-2.3.99-alpha.patch
Patch121: linux-2.4.1-alphaksyms.patch


# Sparc / Sparc64
Patch140: linux-2.3.99p3p6-sparc.patch


# ppc
Patch180: linux-2.4.22-ben2.diff
Patch181: linux-2.4.21-ppc-ieee1394-revert.diff
Patch184: linux-2.4.20-pre5-ppc-ac.patch
Patch185: linux-2.4.19-ppc-ictc.patch
Patch186: linux-2.4.21-ppc-pcmcia.patch
Patch188: linux-2.4.19-ppc-tibook.patch
Patch189: linux-2.4.20-ppc-pmu.patch
Patch192: linux-2.4.22-ppc-keydeb.patch
Patch194: linux-2.4.18-ppc-macmodes20.patch
Patch195: linux-2.4.21-ppc-ctrlCAPS.patch


# s390 / s390x
Patch205: linux-2.4.9-s390-rh.patch
Patch210: linux-2.4.18-s390-backport.patch


# X86-64 is 220 - 239


# arm
Patch241: linux-2.4.17-rmk5-hackedfor18rc1-v2.patch
Patch244: linux-2.4.12-add-drivers-serial.patch
Patch245: linux-2.4.17-arm-rmap.patch
Patch246: linux-2.4.17-arm-rmap-discontig.patch

# sh
Patch260: linux-2.4.16-sh-20011213.patch
# Back out (temporarily) the change to drivers/Makefile to prevent conflicts
Patch261: linux-2.4.16-sh-remove-maple.patch
# ... and put it back again at the end
Patch262: linux-2.4.16-sh-add-maple.patch

# mips
Patch280: linux-2.4.16-mips-20011220.patch
Patch281: linux-2.4.13-mips-load-mips2.patch
Patch282: linux-2.4.16-show_stack_proto.patch
Patch283: linux-2.4.16-diskonchip.patch

#
# Patches 400 through 599 are the TUX patches
#

#Patch400: linux-2.4.19-tux2.patch


#
# Patches 600 through 1000 are reserved for bugfixes to the core system
# and patches related to how RPMs are build
#

Patch600: linux-2.4.0-nonintconfig.patch
Patch610: linux-2.4.18-flock.patch
Patch620: linux-2.4.1-quiet.patch
#Patch630: linux-2.4.7-quotareturn.patch
Patch650: linux-2.4.2-changeloop.patch
Patch651: linux-2.4.21-changeloop.patch
Patch652: linux-2.4.18-loopfixes.patch
Patch653: linux-2.4.21-loopfixes.patch
Patch660: linux-2.4.19-config-small.patch
Patch690: linux-2.4.2-pge.patch
Patch700: linux-2.4.2-scsi_scan.patch
Patch710: linux-2.4.6-oomavoidance.patch
Patch730: linux-2.4.7-highmemspeed.patch
Patch850: linux-2.4.18-dmi-hall-of-shame.patch
Patch890: linux-2.4.18-laptopbits.patch
Patch910: linux-2.4.3-ac13-keyboardsilence.patch.bz2
Patch921: 00_bdflush-tuning-1
#Patch922: 00_lowlatency-fixes-8
#Patch930: 1020_RL2_0305310042_2.4.21-ck1.patch.bz2
#Patch931: 1021_DT1_030531616_2.4.21-ck1.patch.bz2
Patch930: patch-2.4.22-1020-rl2.bz2
Patch931: patch-2.4.22-1021-rl2dt.bz2

# cpufreq
#Patch940: cpufreq-2.4.21-pre5-3.gz
Patch940: cpufreq-2.4.21.patch.gz

# ACPI update
#Patch950: acpi-20030619-2.4.21.diff.gz

# Bootsplash patch
# http://bootsplash.org/
Patch960: bootsplash-3.0.7-2.4.20-vanilla.diff

# Software Suspend Patch
#Patch980: swsusp-1.0-2.4.21.bz2
#Patch981: swsusp-1.0.1-incremental.bz2
#Patch982: swsusp-1.0.2-incremental.bz2
#Patch983: swsusp-1.0.3-incremental.bz2
#Patch980: swsusp-1.0.3-2.4.22.bz2
#Patch987: acpi-option.bz2
#Patch988: bootsplash-option.bz2
#Patch989: swsusp-1.0-nodebug.patch
Patch980:  software-suspend-linux-2.4.22-rev2-whole-without-patch-2.4.24.bz2
Patch981:  software-suspend-core-2.0-whole.bz2

#
# Patches 1000 to 5000 are reserved for bugfixes to drivers and filesystems
#

Patch1000: linux-2.4.21-nousb.patch
Patch1010: linux-2.4.21-noswsusp-nousb.patch
#Patch1011: linux-2.4.21-ppc-noswsusp-nousb.patch
Patch1030: linux-2.4.0-test11-vidfail.patch
Patch1040: linux-2.4.0-e820.patch
Patch1050: linux-2.4.0-raid5xor.patch
Patch1070: linux-2.4.2-page_bitmap.patch
Patch1080: linux-2.4.0-apic-quiet.patch
Patch1090: linux-2.4.3-rawio.patch
Patch1100: linux-2.4.3-pcipenalty.patch
Patch1120: linux-2.4.2-keyboardsilence.patch
Patch1170: linux-2.4.7-scsitimeout.patch
Patch1180: linux-2.4.9-freevxfs.patch
Patch1255: linux-2.4.18-lvm-VFSlock.patch
Patch1261: linux-2.4.18-input-35215.patch
Patch1340: linux-2.4.9-scsilun0.patch
Patch1380: linux-2.4.9-fstat.patch
#Patch1390: linux-2.4.18-irixnfs.patch
Patch1420: linux-2.4.7-suspend.patch
Patch1430: linux-2.4.18-scsidevices.patch
Patch1440: linux-2.4.18-usb-bug56856.patch
Patch1470: linux-2.4.20-usb-bug82546.patch
Patch1480: linux-2.4.21-pre7-md_autostart_as_module_fix.patch

# Patch1490: 2.4.20_vt8237.patch
#Patch1492: 2.4.21_via_irqroute.pacth
#Patch1494: http://www.syskonnect.de/syskonnect/support/driver/zip/sk98lin_2.4.21_patch.gz
Patch1494: sk98lin_2.4.22_patch.gz
#Patch1498: 2.4.22-pre8-sonypi.patch

Patch3000: linux-2.4.22-cf03.patch
Patch3100: linux-2.4.21-agpgart.patch
Patch3105: 2.4.21-apg3.patch
Patch3110: linux-2.4.21-drm43.patch
Patch3300: linux-2.4.21-rc2-bootsplash-i810fb-lite.diff.bz2
Patch3310: i810fb-lite-0.0.23-0.0.35.diff
Patch3400: 01-linux-2.4.20-rc1-neofb-0.4.patch
Patch3610: linux-2.4.20-wacom.c-20020726.patch
Patch3640: linux-2.4.19-sym53c8xx_2-Makefile.patch
Patch3700: linux-2.4.21-rc2-intelfb-0.7.6.patch
Patch3701: linux-2.4.21-intelfb-0.7.6-module.patch
#Patch3710: linux-2.4.21-rc2-orinoco-0.13d+scanning.patch
Patch3711: scanning-0.13d-v3.diff
Patch3720: linux-2.4.21-unusual_devs.patch
Patch3721: linux-2.4.22-pre4-unusual_devs.patch

# NFS client enhancement patch
# http://www.fys.uio.no/~trondmy/src/
#Patch3800: linux-2.4.21-NFS_ALL.dif
Patch3801: linux-2.4.22-01-fix_timer.dif
Patch3802: linux-2.4.22-02-fix_lockd3.dif
Patch3803: linux-2.4.22-03-soft2.dif
Patch3804: linux-2.4.22-04-fix_unlink.dif
Patch3805: linux-2.4.22-05-seekdir.dif
Patch3806: linux-2.4.22-06-access.dif
Patch3807: linux-2.4.22-07-pathconf.dif
Patch3808: linux-2.4.22-08-cto2.dif
Patch3809: linux-2.4.22-09-rdplus.dif


# PPP-MPPE patch for PPTP
Patch3920: linux-default-openssl-0.9.6b-mppe.patch

# NTFS update
# http://linux-ntfs.sourceforge.net/
Patch4000: linux-2.4.22-ntfs-2.1.4c.patch.bz2

#
# Patches 5000 to 5800 are reserved for new drivers
#
Patch5000: linux-2.4.9-addon.patch
Patch5020: linux-2.4.9-bcm5700.patch  
Patch5021: linux-2.4.8-bcm5700-224.patch
Patch5032: linux-2.4.18-wvlan_cs.patch
Patch5050: linux-2.4.3-ecc.patch
Patch5070: linux-2.4.2-alternateairo.patch
Patch5090: linux-2.4.6-bcm5820.patch
Patch5091: linux-2.4.6-bcm5820-2.patch
Patch5092: linux-2.4.7-bcm5820-16.patch
Patch5093: linux-2.4.7-bcm5820-17.patch
Patch5094: linux-2.4.18-bcm5820-update.patch
Patch5120: linux-2.4.18-iscsi.patch
Patch5180: linux-2.4.7-tulip.patch
Patch5190: linux-2.4.0-cipe-1.4.5.patch
Patch5191: linux-2.4.2-cipe.patch
Patch5192: linux-2.4.9-cipenat.patch
Patch5200: linux-2.4.9-lm_sensors.patch
Patch5210: linux-2.4.9-qla2200.patch
Patch5220: linux-2.4.9-aep.patch
Patch5240: linux-2.4.18-aic79xx.patch
Patch5270: linux-2.4.18-audigy.patch
Patch5300: linux-2.4.21-sata.patch
Patch5301: linux-2.4.21-ich5-sata.patch

Patch5500: linux-2.4.19-unicon.patch



#
# Patches 5800 to 6000 are the HA/IPVS patches
#
Patch5830: linux-2.4.15-ipvs-0.9.7.patch

#
# Patches 6000 and later are reserved for %if {something} patches
#
Patch6000: linux-2.4.17-linux-abi.patch


# debugging
Patch7000: linux-2.4.2-aviro-buffer.c.patch
Patch7030: linux-2.4.2-vmpoison.patch
Patch7040: linux-2.4.1-debugging.patch
Patch7050: linux-2.4.2-smbdebug.patch


#
# 10000 to 20000 is for stuff that has to come last due to the
# amount of drivers they touch
#
# fix a lot of warnings in the plain kernel and previous patches
#Patch10000: linux-2.4.21-pre7-compilefailure.patch
#Patch10002: linux-2.4.21-rc1-xconfigfailure.patch

#
# Patches 20000 and later are reserved for Vine patches
#
Patch20010: 2.4.6-fblogo-vine.diff

# END OF PATCH DEFINITIONS



BuildRoot: %{_tmppath}/kernel-%{KVERREL}-root
Provides: module-info
Autoreqprov: no
Requires: initscripts >= 3.64
Prereq: modutils fileutils mktemp
#Conflicts: mount < 2.10r, nfs-utils < 0.3.1
BuildRequires: rpm >= 3.0.3, patch >= 2.5.4
%{?nosrc:NoSource: 0}


%package source
Requires: kernel-headers = %{kversion}
Summary: The source code for the Linux kernel.
Summary(ja): Linux ͥΥ
Group: Development/System
Prereq: fileutils
Provides:  kernel24-source = %{version}
Obsoletes: kernel24-source < 2.4.18


%package headers
Summary: Header files for the Linux kernel.
Summary(ja): Linux ͥΥإåե
Group: Development/System
Prereq: fileutils
Provides:  kernel24-headers = %{version}
Obsoletes: kernel24-headers < 2.4.18


%package doc
Summary: Various documentation bits found in the kernel source.
Summary(ja): ͥ륽˴ޤޤ͡ʥɥ
Group: Documentation
Provides:  kernel24-doc = %{version}
Obsoletes: kernel24-doc < 2.4.18


%description
The kernel package contains the Linux kernel (vmlinuz), the core of your
Red Hat Linux operating system.  The kernel handles the basic functions
of the operating system:  memory allocation, process allocation, device
input and output, etc.

%description -l ja
kernel ѥåˤϡRed Hat Linux ڥ졼ƥ󥰥ƥο¡ʬ
Ȥ Linux ͥ (vmlinuz) ޤޤƤޤ
ͥϡץǥХڥ졼ƥ
ƥδŪʬʤޤ


%description source
The kernel-source package contains the source code files for the Linux
kernel. These source files are needed to build most C programs, since
they depend on the constants defined in the source code. The source
files can also be used to build a custom kernel that is better tuned
to your particular hardware, if you are so inclined (and you know what
you're doing).

%description source -l ja
kernel-source ѥåˤ Linux ͥΥɤޤޤ
ޤͥΥɤ¿ C ץκɬפǤ
ͥΥɤƤ¤˰¸뤳Ȥ뤫Ǥ
ΥɤȤäơʤΥƥ˥塼󥢥åפ
५ͥ뤳ȤǤޤ


%description headers
Kernel-headers includes the C header files for the Linux kernel.  The
header files define structures and constants that are needed for
building most standard programs and are also needed for rebuilding the
kernel.

%description headers -l ja
kernel-headers ѥåˤ Linux ͥ C إåե뤬
Ƥޤإåեˤϡ¿Υץ򥳥ѥ
ݡϥͥƹۤΤɬפʹ¤Ƥޤ


%description doc
This package contains documentation files form the kernel
source. Various bits of information about the Linux kernel and the
device drivers shipped with it are documented in these files.

You'll want to install this package if you need a reference to the
options that can be passed to Linux kernel modules at load time.

%description doc -l ja
Υѥåˤϥͥ륽˴ޤޤƤɥȤ
ƤޤLinux ͥǥХɥ饤Ф˴ؤ͡
󤬤ΥɥȤˤϵƤޤ

Linux ͥ⥸塼ɤ߹ݤΰĴ٤
Υѥå򥤥󥹥ȡ뤹ɤǤ礦


%package smp
Summary: The Linux kernel compiled for SMP machines.
Summary(ja): SMP (оΥޥץå) б Linux ͥ
Group: System Environment/Kernel
Provides: kernel = %{version}
Provides: kernel24 = %{version}
Prereq: modutils fileutils mktemp
#Conflicts: mount < 2.10r, nfs-utils < 0.3.1


%description smp
This package includes a SMP version of the Linux kernel. It is
required only on machines with two or more CPUs, although it should
work fine on single-CPU boxes.

Install the kernel-smp package if your machine uses two or more CPUs.


%description smp -l ja
Υѥåˤ SMP Ǥ Linux ͥ뤬Ƥޤ
Υͥ 2İʾ CPU ܤޥˤΤɬפȤʤޤ
1CPU ΥޥǤʤưޤ

ʤΥޥ 2İʾ CPU ܤƤ
kernel-smp ѥå򥤥󥹥ȡ뤷Ƥ


%package BOOT
Summary: The version of the Linux kernel used on installation boot disks.
Summary(ja): 󥹥ȡ鵯ưǥǻȤ Linux ͥ
Group: System Environment/Kernel
Provides: kernel = %{version}
Provides: kernel24 = %{version}
Prereq: modutils fileutils


%description BOOT
This package includes a trimmed down version of the Linux kernel.
This kernel is used on the installation boot disks only and should not
be used for an installed system, as many features in this kernel are
turned off because of the size constraints.

%description BOOT -l ja
Υѥåˤ;ʬʵǽƥ򾮤
Linux ͥ뤬ƤޤΥͥϥ󥹥ȡ
ưǥ˻ȤΤǡ˥󥹥ȡ뤬äƥ
Ȥ٤ΤΤǤޤ󡥥򾮤٤¿εǽ
Ƥ뤫Ǥ


%prep
%setup -q -n linux-%{version} -a 56

#
# Patches 0 through 100 are meant for core subsystem upgrades
# 

# pre-patch
#%patch0 -p1

# ac-patch
#%ifnarch ppc
#%patch1 -p1
#%endif


# 
# Patches 100 through 400 are architecture specific patches
# Each architecture has 20 slots reserved.
#


# IA64
%ifarch ia64
# base ia64 patch from David Mosberger
%patch100 -p1
%patch101 -p1
%patch102 -p1
%patch103 -p1
%patch104 -p1
%patch105 -p1
%patch106 -p1
%patch107 -p1
%patch108 -p1
%patch110 -p1
%endif

# Alpha
%ifarch alpha
# fix some include files
%patch120 -p1
%patch121 -p1
%endif

# Sparc / Sparc64
%if ! %{_ppc_minimum_patches}
%patch140 -p1
%endif

# ppc
# make the ac patch set build
%patch184 -p1
%ifarch %{all_ppc}
# from Benjamin Herrenschmidt's development tree for pmac support
%patch180 -p1
# GRRRRR. new ieee1394 layer causes kernel oops!
# ieee1394 revert to 2.4.20-ben10
#%patch181 -p1
## ictc extention
## the role of this feature was replaced by cupfreq (Jul 20. 2003 tkoba)
#%patch185 -p1
# pcmcia auto eject suport
%patch186 -p1
# TiBook fb
%patch188 -p1
# fix PMU for PB2400/3400/3500
#%patch189 -p1
# fix PlanB driver
#%patch190 -p1
# noisy keyboard warning
%patch192 -p1
# fix vmode 20 timings
%patch194 -p1
# fix ctrlCAPS
%patch195 -p1

%endif
# s390
#  We keep good s390 stuff outside %ifarch as much as practical.
#  It is useful to do "make prep" on i386 and see what failed.
#
# modifications backported from 2.4.9ac14 - incorporated into 2.4.12
#%patch200 -p1
# modifications that are Red Hat Linux specific or from s390-1
# #205 touches common code, must use %ifarch
%ifarch s390 s390x
%patch205 -p1
%endif
# non-working patch
#%patch206 -p1
# dasd supplies garbage in first track (#54390)
#%patch207 -p1
# Ingo's scheduler
#%patch208 -p1
# Corrected offsets in entry.S (broken in stock 2.4.18)
#%patch209 -p1

#
# X86-64
#

# arm
%ifarch %{all_arm}
#%patch240 -p1
# 2.4.17-rmk5(ish)
%patch241 -p1
#%patch242 -p1
# Back out the addition of the serial and l3 subdirs to drivers/Makefile
#%patch243 -p1
%patch245 -p1
%patch246 -p1
%endif

%ifarch sh
%patch260 -p1
# Back out the addition of the maple subdir to drivers/Makefile
%patch261 -p1
%endif

%ifarch %{all_mips}
%patch280 -p1
%patch281 -p1
%patch282 -p1
%patch283 -p1
%endif


%if ! %{_ppc_minimum_patches}

#
# Patches 400 through 500 are the TUX patches
#
#%patch400 -p1


#
# Patches 600 through 1000 are reserved for bugfixes to the core system
# and patches related to how RPMs are build
#


# This patch adds a "make oldconfig_nonint" which is non-interactive and
# also gives a list of missing options at the end. Useful for automated
# builds.
%patch600 -p1

# flock() accounting is broken; disable for 2.4 kernels
%patch610 -p1

# tty_write_message needs \r\n -- makes quota messages look nicer
#%patch630 -p1

# Al Viro's loopback patch 
%patch650 -p1
%patch652 -p1

# CONFIG_SMALL
%patch660 -p1

# make PGE an option so Cyrix chips work on our 686 kernels
%patch690 -p1

# fix lun probing on multilun RAID chassis
%patch700 -p1

# make oom killer less trigger happy (hack)
%patch710 -p1

# highmemspeed
%patch730 -p1

# prefer gcc 2.96 if present
#%patch760 -p1

# VM Tuning
#%patch800 -p1 

# update the list of vendors who can't program a bios
# %ifnarch ppc
# %patch850 -p1
# %endif

# workaround for broken 440bx bios
#%patch860 -p1

# sendfile64
#%patch880 -p1

# add some laptop power consumption improvements
%patch890 -p1

# no PSAUX keyboard
%patch910 -p1

# bdflush tuning
%patch921 -p1

# lowlatency fix from aa
#%patch922 -p1

# Read Latency patch from ck
%patch930 -p1
# Desktop Tuning 1 patch from ck
%patch931 -p1


# cpufreq
%patch940 -p1

# acpi update
#%patch950 -p1


# bootsplash
%ifarch %{all_x86}
%patch960 -p1
%endif

# software suspend
%ifarch %{all_x86}
%patch980 -p1
%patch981 -p1
#%patch981 -p1
#%patch982 -p1
#%patch983 -p1
#%patch987 -p1
#%patch988 -p1
#%patch989 -p1
%endif


#
# Patches 1000 to 5000 are reserved for bugfixes to drivers and filesystems
#

# disable all usb
#%ifarch %{all_x86}
#%patch1000 -p1
#%else
#%patch1010 -p1
#%endif

# ignore video mode failure
%patch1030 -p1

# add e820 reporting
%patch1040 -p1

# raid5 xor fix for PIII/P4, should go away shortly
%patch1050 -p1
# mem= command-line adapts itself to existing e820 values.
# Previous version failed on compaqs with broken bioses, needs testing now
#%patch1060 -p1
# conservative zone bitmaps to prevent memory corruption
%patch1070 -p1
# Silence the APIC errors a bit
%patch1080 -p1
# fix rawio
#%patch1090 -p1
# change IRQ penalty for IRQ 12
%patch1100 -p1
# Bug 50218 - USB printer probing for HP-1200.
##%patch1110 -p1
# Silence the PS/2 code for USB keyboards
%patch1120 -p1
# fix broken 440GX chipset boards/bioses
#%patch1130 -p1
# disable udma66 for via chipsets
#%patch1140 -p1
# update pcnet32 driver
#%patch1150 -p1
# revert xircom_cb to old driver
#%patch1160 -p1
# make the scsi timeout longer 
%patch1170 -p1
# make freevxfs autoload
%patch1180 -p1
# back out ewrk3 driver to the 2.4.2 version
#%patch1190 -p1
## use the nmi interrupt for profiling
#%ifnarch ppc
#%patch1200 -p1
#%endif
# allow more unnamed mounts by borrowing old, unused major devices
##%patch1210 -p1
## 55878
##%patch1240 -p1
# add important bugfixes from LVM-1.0.3
#%patch1250 -p1
# add atomic, non-buggy pvmove to LVM...
#%patch1251 -p1
#%patch1252 -p1
# ...and add mempool, which the new LVM bits require
#%patch1253 -p1
# Any other local fixes for LVM not related to pvmove:
#%patch1254 -p1
# Gamepad (all kbds and mice were affected, but we kludged arount it in hplug)
%patch1261 -p1
# add ethtool to drivers
#%patch1270 -p1
# watchdog nowayout made runtime-configurable
##%patch2380 -p1
# new tigon3 driver
#%patch1280 -p0
# updated cciss driver
#%patch1290 -p1
# updated nic drivers
#%patch1300 -p1
# updated megaraid driver to version 1.18a
#%patch1310 -p1
# updated MPT fusion driver
#%patch1311 -p1
# add some devices to the scsi whitelist for multi-lun scanning
#%patch1330 -p1
# allow ioctls to lun0 even if there's no lun0 (needed for some FC kit)
%patch1340 -p1
# ips ServerRAID driver 4.90
#%patch1350 -p1
# oops when pl2303 services Visor and gets unplugged; fix from maintainer
## %patch1360 -p1
# add 32 bit uid stupport to process accounting
#%patch1370 -p1
#%patch1380 -p1
# IRIX nfs
#%patch1390 -p1
# Updates to ext3
#%patch1400 -p1
#%patch1401 -p1
#%patch1402 -p0
# recognize newer wacom USB tablets
#%patch1410 -p1
# suspend patch
%patch1420 -p1
# scsidevices 
%patch1430 -p1
# usb bugfixes
%patch1440 -p1
#%patch1460 -p1
%patch1470 -p1
# md as module problem fix
%ifarch %{all_x86}
%patch1480 -p1
%endif

# 3C940 support
%patch1494 -p1

# patch for usb-storage.c and unusual_devs.h for RATOC CF03 series
# http://www.rexpccard.co.jp/products/ostaiou/linux/redhat71/cf03.html
# modified for 2.4.22
%patch3000 -p1

# agpgart update from ac patch
%ifnarch ppc
#%patch3100 -p1
# agpgart apg3 support for KT400(A)/600
%patch3105 -p0
# DRM 4.3 update from ac patch
%patch3110 -p1
%endif

# i810fb
%ifarch %{all_x86}
%patch3300 -p1
%patch3310 -p1
%endif

# neofb-0.4
%ifnarch ppc
%patch3400 -p1
%endif

# wacom driver update
%patch3610 -p1

# i810_audio update
#%patch3620 -p1

# drivers/scsi/Makefile bugfix
%ifnarch ppc
%patch3640 -p1
%endif

# orinoco scanning support
%ifnarch ppc
%patch3711 -p0
%endif

# modified usb/storage/unusual_devs.h to support newer Sony CyberShot.
%patch3720 -p1

# NFS client improvement patch
# http://www.fys.uio.no/~trondmy/src/2.4.22/
%ifnarch ppc
# %patch3800 -p1
%patch3801 -p1
%patch3802 -p1
%patch3803 -p1
%patch3804 -p1
%patch3805 -p1
%patch3806 -p1
%patch3807 -p1
%patch3808 -p1
%patch3809 -p1
%endif

# PPP-MPPE patch for PPTP
# http://www.poptop.org/
%ifnarch ppc
%patch3920 -p1
%endif

# NTFS update
%ifnarch ppc
%patch4000 -p1
%endif

#
# Patches 5000 to 6000 are reserved for new drivers
#
# generic drivers/addon infrastructure
%ifnarch ppc
%patch5000 -p1
%endif
# Broadcom BCM5700/5701 Gigabit driver 
%patch5020 -p1
%patch5021 -p1
# wvlan_cs driver
#%patch5030 -p1
#%patch5031 -p1
%patch5032 -p1
# IRC-DCC nat and other netfilter addons
##%patch5040 -p1
# ECC reporting module
%patch5050 -p1
# alternate aironet driver
%patch5070 -p1
# IBM MXT memory compression support
#%patch5080 -p1
# fixes / updates to the MXT driver
#%patch5081 -p1
#%patch5082 -p1
# Broadcom 5820 driver
%ifnarch alpha
%patch5090 -p1
%patch5091 -p1
%patch5092 -p1
%patch5093 -p1
%patch5094 -p1
%endif
# iSCSI driver
%patch5120 -p1
# Intel e1000 driver
#%patch5130 -p1
# Intel e100 driver
#%patch5140 -p1
# add missing avma1_cs driver
#%patch5170 -p1
# add tulip_old driver (2.4.3 version)
%patch5180 -p1
# cipe 1.4.5
%patch5190 -p1
%patch5191 -p1
%patch5192 -p1
# LM-Sensors
%ifnarch ppc
%patch5200 -p1
%endif
# qla2x00
%patch5210 -p1
# AEP SSL Accelerator card
%patch5220 -p1
# bridging firewall driver
#%patch5230 -p1
# aic79xx
#%patch5240 -p1
# SB Live! Audigy
%patch5270 -p1
# SATA support
%patch5300 -p1
%patch5301 -p1

# end of %if %{_ppc_minimum_patches}
%endif

# UNICON
%patch5500 -p1

%if ! %{_ppc_minimum_patches}
#
# Patches 5800 to 6000 are the HA/IPVS patches
#
#%patch5800 -p1
#%patch5810 -p1
#%patch5820 -p1
%patch5830 -p1

#
# Patches 6000 and later are reserved for %if {something} patches
#


# ibcs
# NOTE: IBCS is not supported, might not work at all 
# and might go away at any time.
#%if %{ibcs}
#%ifarch %{all_x86}
#%patch6000 -p1
#%endif
#%endif



## debugging patches
## extra sanitychecks in bufferhandling
#%if %{debugging}
#%patch7000 -p1
#%patch7030 -p1
#%patch7040 -p1
## Disable an smb debugging check which conflicts with slab poisoning
#%patch7050 -p1
#%endif



#
# final stuff
#
# fix compile failure
#%patch10000 -p1
#%patch10002 -p0


# GRRRR
%ifarch %{all_arm}
# Put back drivers/serial and drivers/l3
%patch244 -p1
%endif
%ifarch sh
# Put back drivers/maple
%patch262 -p1
%endif
%ifarch ia64
%patch109 -p1
%patch111 -p1
%endif

# end of %if %{_ppc_minimum_patches}
%endif

#
# Patches 20000 and later are reserved for Vine patches
#
%patch20010 -p0


# END OF PATCH APPLICATIONS

chmod +x arch/sparc*/kernel/check_asm.sh

# get rid of unwanted patches.
rm -f */*.patch

# setup JF docs.
mv -f kernel-docs-2.4 Documentation/ja
#mv -f Documentation/Configure.help Documentation/Configure.help.en
#cp -p %{SOURCE55} Documentation/
cd Documentation/
#gunzip Configure.help-%{kversion}.ja.gz
#ln -s Configure.help-%{kversion}.ja Configure.help
cd ../

mkdir configs
%ifarch i386 i586 i686 athlon
cp -fv $RPM_SOURCE_DIR/kernel-%{version}-i?86*.config configs
cp -fv $RPM_SOURCE_DIR/kernel-%{version}-athlon*.config configs
%else
cp -fv $RPM_SOURCE_DIR/kernel-%{version}-%{_arch}*.config configs
%endif

# Bring in the Red Hat Kernel Module Version Tag program
cp $RPM_SOURCE_DIR/rhkmvtag.c .

# make sure the kernel has the sublevel we know it has...
perl -p -i -e "s/^SUBLEVEL.*/SUBLEVEL = %{sublevel}/" Makefile

# get rid of unwanted files
find . -name "*.orig" -exec rm -fv {} \;
find . -name "*~" -exec rm -fv {} \;
find . -type d -name CVS | xargs -r rm -frv
find . -type f -name .cvsignore | xargs -r rm -fv


###
### build
###
%build

if [ -x /usr/bin/getconf ] ; then
    NRPROC=$(/usr/bin/getconf _NPROCESSORS_ONLN)
    if [ $NRPROC -eq 0 ] ; then
	NRPROC=1
    fi
    if [ $NRPROC -gt 1 ] ; then
	# Broken kernel makefiles means that we have to go exponential
	# with MAKE="make -j $NRPROC" -- so 2^n gets big enough for
	# any machine right now.  We'll remove this clause when the
	# makefiles are fixed to use the jobserver correctly
	NRPROC=2
    fi
else
    NRPROC=1
fi

BuildKernel() {
    sync
    # is this a special kernel we want to build?
    if [ -n "$1" ] ; then
	Config=%{_target_cpu}-$1
	KernelVer=%{version}-%{release}$1
	echo BUILDING A KERNEL FOR $1...
    else
	Config=%{_target_cpu}
	KernelVer=%{version}-%{release}
	echo BUILDING THE NORMAL KERNEL...
    fi
%ifarch sparc64
    cp $RPM_SOURCE_DIR/kernel-%{version}-$Config.config arch/%{_target_cpu}/defconfig
%else
    cp $RPM_SOURCE_DIR/kernel-%{version}-$Config.config arch/%{_arch}/defconfig
%endif
    rm -f .config
    # make sure EXTRAVERSION says what we want it to say
    perl -p -i -e "s/^EXTRAVERSION.*/EXTRAVERSION = -%{release}$1/" Makefile
    make mrproper
    make oldconfig
    make dep
    make include/linux/version.h
%ifarch i386 i586 i686 athlon
    make -j $NRPROC bzImage MAKE="make -j $NRPROC"
%else
%ifarch ppc
    make MAKE="make -j $NRPROC"
%else
    make boot MAKE="make -j $NRPROC"
%endif
%endif
    make -j $NRPROC modules MAKE="make -j $NRPROC"
    # first make sure we are not loosing any .ver files to make mrporper's
    # removal of zero sized files.
    find include/linux/modules -size 0 | while read file ; do \
	echo > $file
    done
    # Start installing stuff
    mkdir -p $RPM_BUILD_ROOT/boot
    install -m 644 System.map $RPM_BUILD_ROOT/boot/System.map-$KernelVer
    install -m 644 $RPM_SOURCE_DIR/module-info $RPM_BUILD_ROOT/boot/module-info-$KernelVer
%ifarch i386 i586 i686 athlon
    cp arch/i386/boot/bzImage $RPM_BUILD_ROOT/boot/vmlinuz-$KernelVer
    cp vmlinux $RPM_BUILD_ROOT/boot/vmlinux-$KernelVer
%else
%ifnarch ppc
    gzip -cfv vmlinux > vmlinuz
    install -m 644 vmlinuz $RPM_BUILD_ROOT/boot/vmlinuz-$KernelVer
%endif
    install -m 755 vmlinux $RPM_BUILD_ROOT/boot/vmlinux-$KernelVer
%endif
    make INSTALL_MOD_PATH=$RPM_BUILD_ROOT modules_install KERNELRELEASE=$KernelVer
    rm -f $RPM_BUILD_ROOT/lib/modules/$KernelVer/build
    ln -sf /usr/src/linux-%{version} $RPM_BUILD_ROOT/lib/modules/$KernelVer/build

    #Identify the modules directory with the Red Hat Kernel Module Version Tag
%ifnarch sparc64
    cc -o rhkmvtag rhkmvtag.c init/version.o
    ./rhkmvtag > $RPM_BUILD_ROOT/lib/modules/$KernelVer/.rhkmvtag
    rm -f rhkmvtag
%endif
}

SaveHeaders() {
    if [ -n "$1" ] ; then
	echo "SAVING HEADERS for $1"
    fi
    # deal with the kernel headers that are version specific
    mkdir -p $RPM_BUILD_ROOT/usr/src/linux-%{kversion}/include/linux
    if [ -n "$1" ] ; then
#    	install -m 644 include/linux/autoconf.h \
#	    $RPM_BUILD_ROOT/usr/src/linux-%{kversion}/include/linux/autoconf-$1.h
    	install -m 644 include/linux/autoconf.h \
	    $RPM_BUILD_ROOT/boot/autoconf-$1.h-%{KVERREL}
    	install -m 644 include/linux/version.h \
	    $RPM_BUILD_ROOT/usr/src/linux-%{kversion}/include/linux/version-$1.h
	sed -e "s,/modules/,/modules-$1/,g" < include/linux/modversions.h > \
	    $RPM_BUILD_ROOT/usr/src/linux-%{kversion}/include/linux/modversions-$1.h
	mv include/linux/modules include/linux/modules-$1
    fi
}

###
# DO it...
###

rm -rf $RPM_BUILD_ROOT

%if %{buildsmp}
#SMP-ENABLED KERNEL
BuildKernel smp
SaveHeaders smp
%endif

%if %{buildBOOT}
%ifnarch i586 i686 athlon ppc
# BOOT kernel
BuildKernel BOOT
SaveHeaders BOOT
#%ifarch alpha
#BuildKernel BOOTsmp
#SaveHeaders BOOTsmp
#%endif
%endif
%endif

# NORMAL KERNEL
BuildKernel
SaveHeaders up

###
### install
###

%install

mkdir -p $RPM_BUILD_ROOT/{boot,sbin}
install -m 755 $RPM_SOURCE_DIR/installkernel $RPM_BUILD_ROOT/sbin/installkernel

for i in $RPM_BUILD_ROOT/lib/modules/*; do
  rm -f $i/build $i/modules.dep $i/modules.pcimap
  ln -sf /usr/src/linux-%{kversion} $i/build
done

%ifarch i586 i686 athlon sparc64
# these don't need much
exit 0
%endif

mkdir -p $RPM_BUILD_ROOT/usr/include
ln -sf ../src/linux/include/linux $RPM_BUILD_ROOT/usr/include/linux

mkdir -p $RPM_BUILD_ROOT/usr/src/linux-%{kversion}


mkdir -p $RPM_BUILD_ROOT/usr/src/linux-%{kversion}
tar cf - . | tar xf - -C $RPM_BUILD_ROOT/usr/src/linux-%{kversion}
install -m 644 %{SOURCE2}  $RPM_BUILD_ROOT/usr/src/linux-%{kversion}

%ifarch sparc
cp -a $RPM_SOURCE_DIR/kernel-2.2-BuildASM.sh $RPM_BUILD_ROOT/usr/src/linux-%{kversion}/include/asm-sparc/BuildASM
%endif

sync
make mrproper -C $RPM_BUILD_ROOT/usr/src/linux-%{kversion}
make oldconfig -C $RPM_BUILD_ROOT/usr/src/linux-%{kversion}
make symlinks -C $RPM_BUILD_ROOT/usr/src/linux-%{kversion}
make include/linux/version.h -C $RPM_BUILD_ROOT/usr/src/linux-%{kversion}

#this generates modversions info which we want to include and we may as
#well include the depends stuff as well, after we fix the paths
make depend -C $RPM_BUILD_ROOT/usr/src/linux-%{kversion}
find $RPM_BUILD_ROOT/usr/src/linux-%{kversion} -name ".*depend" | \
while read file ; do
    mv $file $file.old
    sed -e "s|[^ ]*\(/usr/src/linux\)|\1|g" < $file.old > $file
    rm -f $file.old
done

# Try to put some smarter autoconf.h and version.h files in place
pushd $RPM_BUILD_ROOT/usr/src/linux-%{kversion}/include/linux ; {
#mv autoconf.h autoconf-up.h
#mv version.h version-up.h
#mv modversions.h modversions-up.h
install -m 644 %{SOURCE15} autoconf.h
install -m 644 %{SOURCE16} version.h
install -m 644 %{SOURCE17} modversions.h
ln -sf /boot/autoconf-up.h autoconf-up.h
ln -sf /boot/autoconf-smp.h autoconf-smp.h
%ifnarch ppc
ln -sf /boot/autoconf-BOOT.h autoconf-BOOT.h
%endif
} ; popd
> $RPM_BUILD_ROOT/boot/kernel.h-%{kversion}

###
### clean
###

%clean
rm -rf $RPM_BUILD_ROOT

###
### scripts
###

# do this for upgrades...in case the old modules get removed we have
# loopback in the kernel so that mkinitrd will work.
%pre
/sbin/modprobe loop 2> /dev/null > /dev/null
exit 0

%pre smp
/sbin/modprobe loop 2> /dev/null > /dev/null
exit 0

%post
%ifarch ppc
touch /etc/modules.conf
AUDIO=`grep "alias sound audio" /etc/modules.conf`
if [ "$AUDIO" = "" ]; then
  TEMPFILE=`/bin/mktemp -q /tmp/modules_conf.XXXXXX`
  sed -e 's/ dmasound$/ dmasound_pmac/' /etc/modules.conf > $TEMPFILE
  grep -q "alias sound dmasound_pmac" $TEMPFILE || \
    echo alias sound dmasound_pmac >> $TEMPFILE
  mv -f $TEMPFILE /etc/modules.conf
fi
%else
cd /boot
ln -sf vmlinuz-%{KVERREL} vmlinuz
ln -sf System.map-%{KVERREL} System.map
ln -sf module-info-%{KVERREL} module-info
%endif
[ -x /usr/sbin/module_upgrade ] && /usr/sbin/module_upgrade
[ -x /sbin/mkkerneldoth ] && /sbin/mkkerneldoth
depmod -a -F /boot/System.map-%{KVERREL} %{KVERREL}
%(cat %{SOURCE18})
rm -f /boot/autoconf-up.h
ln -sf autoconf-up.h-%{KVERREL} /boot/autoconf-up.h

%ifarch i386 i586 i686 athlon
if [ -x /sbin/lilo -a -f /etc/lilo.conf ]; then
	/sbin/lilo > /dev/null 2>&1
	exit 0
fi
%endif

%post smp
%ifarch ppc
touch /etc/modules.conf
TEMPFILE=`/bin/mktemp -q /tmp/modules_conf.XXXXXX`
sed -e 's/ dmasound$/ dmasound_pmac/' /etc/modules.conf > $TEMPFILE
grep -q "alias sound dmasound_pmac" $TEMPFILE || \
    echo alias sound dmasound_pmac >> $TEMPFILE
mv -f $TEMPFILE /etc/modules.conf
%else
cd /boot
ln -sf vmlinuz-%{KVERREL}smp vmlinuz
ln -sf System.map-%{KVERREL}smp System.map
ln -sf module-info-%{KVERREL}smp module-info
%endif
[ -x /sbin/mkkerneldoth ] && /sbin/mkkerneldoth
[ -x /usr/sbin/module_upgrade ] && /usr/sbin/module_upgrade
depmod -a -F /boot/System.map-%{KVERREL}smp %{KVERREL}smp
%(cat %{SOURCE18})
rm -f /boot/autoconf-smp.h
ln -sf autoconf-smp.h-%{KVERREL} /boot/autoconf-smp.h


%post BOOT
[ -x /sbin/mkkerneldoth ] && /sbin/mkkerneldoth
[ -x /usr/sbin/module_upgrade ] && /usr/sbin/module_upgrade
depmod -a -F /boot/System.map-%{KVERREL}BOOT %{KVERREL}BOOT
rm -f /boot/autoconf-BOOT.h
ln -sf autoconf-BOOT.h-%{KVERREL} /boot/autoconf-BOOT.h


# Allow clean removal of modules directory
%preun
rm -f /lib/modules/%{KVERREL}/modules.{dep,pcimap}

%preun smp
rm -f /lib/modules/%{KVERREL}smp/modules.{dep,pcimap}

%preun BOOT
rm -f /lib/modules/%{KVERREL}BOOT/modules.{dep,pcimap}

# Old kernel-headers packages owned include symlinks; new
# ones just make them so that we can have multiple kernel-headers
# packages installed.
%triggerpostun headers -- kernel-headers < 2.2.18
%ifarch sparc
cd /usr/src
rm -f linux
ln -snf linux-%{kversion} linux
	cd /usr/include
	rm -f linux
	ln -snf ../src/linux/include/linux linux
	rm -fr asm
	rm -f asm-sparc asm-sparc64
	ln -snf ../src/linux/include/asm-sparc asm-sparc
	ln -snf ../src/linux/include/asm-sparc64 asm-sparc64
	mkdir asm
	/usr/src/linux-%{kversion}/include/asm-sparc/BuildASM /usr/include
cd /boot
rm -f kernel.h
ln -snf kernel.h-%{kversion} kernel.h
exit 0
%else
cd /usr/src
rm -f linux
ln -snf linux-%{kversion} linux
	cd /usr/include
	rm -f linux asm
	ln -snf ../src/linux/include/linux linux
	ln -snf ../src/linux/include/asm asm
cd /boot
rm -f kernel.h
ln -snf kernel.h-%{kversion} kernel.h
exit 0
%endif

%post headers
%ifarch sparc
cd /usr/src
rm -f linux
ln -snf linux-%{kversion} linux
	cd /usr/include
	rm -f linux
	ln -snf ../src/linux/include/linux linux
	rm -fr asm
	rm -f asm-sparc asm-sparc64
	ln -snf ../src/linux/include/asm-sparc asm-sparc
	ln -snf ../src/linux/include/asm-sparc64 asm-sparc64
	mkdir asm
	/usr/src/linux-%{kversion}/include/asm-sparc/BuildASM /usr/include
cd /boot
rm -f kernel.h
ln -snf kernel.h-%{kversion} kernel.h
exit 0
%else
cd /usr/src
rm -f linux
ln -snf linux-%{kversion} linux
	cd /usr/include
	rm -f linux asm
	ln -snf ../src/linux/include/linux linux
	ln -snf ../src/linux/include/asm asm
cd /boot
rm -f kernel.h
ln -snf kernel.h-%{kversion} kernel.h
exit 0
%endif

%post source
cd /usr/src
rm -f linux
ln -snf linux-%{kversion} linux

%postun headers
%ifarch sparc
if [ -L /usr/src/linux ]; then 
    if [ `ls -l /usr/src/linux | awk '{ print $11 }'` = "linux-%{kversion}" ]; then
		[ $1 = 0 ] && rm -f /usr/src/linux /usr/include/linux /usr/include/asm-sparc /usr/include/asm-sparc64 /boot/kernel.h && rm -rf /usr/include/asm
    fi
fi
exit 0
%else
if [ -L /usr/src/linux ]; then 
    if [ `ls -l /usr/src/linux | awk '{ print $11 }'` = "linux-%{kversion}" ]; then
		[ $1 = 0 ] && rm -f /usr/src/linux /usr/include/linux /usr/include/asm /boot/kernel.h
    fi
fi
exit 0
%endif

%postun source
if [ -L /usr/src/linux ]; then 
    if [ `ls -l /usr/src/linux | awk '{ print $11 }'` = "linux-%{kversion}" ]; then
	[ $1 = 0 ] && rm -f /usr/src/linux
    fi
fi
exit 0

###
### file lists
###

%files
%defattr(-,root,root)
/boot/vmlinux-%{KVERREL}
%ifnarch ppc
/boot/vmlinuz-%{KVERREL}
%endif
/boot/System.map-%{KVERREL}
/boot/module-info-%{KVERREL}
/boot/autoconf-up.h-%{KVERREL}
%config /sbin/installkernel
%dir /lib/modules
/lib/modules/%{KVERREL}

%if %{buildsmp}
%files smp
%defattr(-,root,root)
/boot/vmlinux-%{KVERREL}smp
%ifnarch ppc
/boot/vmlinuz-%{KVERREL}smp
%endif
/boot/System.map-%{KVERREL}smp
/boot/module-info-%{KVERREL}smp
/boot/autoconf-smp.h-%{KVERREL}
%config /sbin/installkernel
%dir /lib/modules
/lib/modules/%{KVERREL}smp
%endif

%if %{buildBOOT}
%ifnarch i586 i686 athlon ppc
%files BOOT
%defattr(-,root,root)
/boot/vmlinux-%{KVERREL}BOOT
/boot/vmlinuz-%{KVERREL}BOOT
/boot/System.map-%{KVERREL}BOOT
/boot/autoconf-BOOT.h-%{KVERREL}
%config /sbin/installkernel
%dir /lib/modules
/lib/modules/%{KVERREL}BOOT
%endif
%endif

%ifnarch i586 i686 athlon sparc64
# START BASE ARCHES ONLY
%ifarch i386 alpha sparc ppc

%files source
%defattr(-,root,root)
/usr/src/linux-%{kversion}/COPYING
/usr/src/linux-%{kversion}/CREDITS
/usr/src/linux-%{kversion}/Documentation
/usr/src/linux-%{kversion}/MAINTAINERS
/usr/src/linux-%{kversion}/Makefile
/usr/src/linux-%{kversion}/README
/usr/src/linux-%{kversion}/REPORTING-BUGS
/usr/src/linux-%{kversion}/Rules.make
/usr/src/linux-%{kversion}/arch/%{_arch}
%ifarch sparc
/usr/src/linux-%{kversion}/arch/sparc64
%endif
/usr/src/linux-%{kversion}/drivers
/usr/src/linux-%{kversion}/fs
/usr/src/linux-%{kversion}/init
/usr/src/linux-%{kversion}/ipc
/usr/src/linux-%{kversion}/kernel
/usr/src/linux-%{kversion}/lib
/usr/src/linux-%{kversion}/mm
/usr/src/linux-%{kversion}/net
/usr/src/linux-%{kversion}/scripts

%files headers
%defattr(-,root,root)
%dir /usr/src/linux-%{kversion}
/usr/src/linux-%{kversion}/configs
%ifnarch ppc
/usr/src/linux-%{kversion}/include/acpi
%endif
/usr/src/linux-%{kversion}/include/asm
/usr/src/linux-%{kversion}/include/asm-*
/usr/src/linux-%{kversion}/include/linux
/usr/src/linux-%{kversion}/include/pcmcia
/usr/src/linux-%{kversion}/include/net
/usr/src/linux-%{kversion}/include/scsi
/usr/src/linux-%{kversion}/include/video
%ifnarch ppc
/usr/src/linux-%{kversion}/include/openssl
%endif
%ifarch alpha sparc
/usr/src/linux-%{kversion}/include/math-emu
%endif
/usr/src/linux-%{kversion}/README.kernel-sources
/boot/kernel.h-%{kversion}

%files doc
%defattr(-,root,root)
%doc Documentation/*

%endif
# END BASE ARCHES ONLY
%endif


%changelog
* Wed Sep 10 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.22-0vl2
- drop obsolete patches that is included in upstream
- modified i386 configs
- update Read Latency patch from 2.4.22-ck
- update NFS client patch
- update ntfs driver to 2.1.4c
- remove unmaintained(by Vine) tux2 patch..
- modify RATOC CF03 patch

* Fri Sep 05 2003 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 2.4.22-0vl1
- added Patch 195 for fixing PowerBook CAPS_LOCK
- modified ppc configs (Now, PBG4 17" can BOOT!)
  CONFIG_CPU_FREQ is not set temporally
- switch to new ieee1394 layer

* Thu Jul 29 2003 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 2.4.21-0vl21
- fix Unresolved symbols in sonypi.o (ec_read, ec_write)
- add patch 1492 for VIA IRQ routing fix
- add patch 1494 for support 3C940 GbE
- add patch 3105 for support VIA KT400(A)/600 AGP3.0

* Sun Jul 27 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.21-0vl20
- set 0 for _ppc_minimum_patches on non-ppc architecture.

* Thu Jul 24 2003 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 2.4.21-0vl19
- Patch181 ieee1394 stuff reverts to 2.4.20-ben10
- comment out Patch189 

* Tue Jul 22 2003 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 2.4.21-0vl18
- Patch180 (ppc benh branch diff) updated to 2.4.21-ben2 as of 2003-06-29
- apply the minimum patches for ppc
- merged with ppc branch (2.4.20-0vl3.7)
  * Sun Jun 02 2003 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 2.4.20-0vl3.7
  - added Source100 (HFS+ support) 
  - modified kernel-ppc*.config

  * Thu Apr 03 2003 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 2.4.20-0vl3.6
  - Patch180 (ppc benh branch diff) updated to 2.4.20-ben10 as of 2003-04-03
  - Patch180 remove a patch of prom_init.c

  * Mon Mar 24 2003 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 2.4.20-0vl3.5
  - Patch180 remove a patch of prom_init.c
  - Patch930 ptrace security fix
  - Patch189 remake

  * Mon Mar 24 2003 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 2.4.20-0vl3.4
  - Patch180 (ppc benh branch diff) updated to 2.4.20-ben9 as of 2003-03-23
  - added pcmcia-ide fix to Patch186 
  - revised Patch189

  * Fri Mar 07 2003 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.4.20-0vl3.3
  - Patch180 (ppc benh branch diff) updated to 2.4.20-ben8 as of 2003-03-06
  - modified ppc*config a little (CONFIG_DRM not set, etc.)

  * Fri Feb 28 2003 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.4.20-0vl3.2
  - Patch180 (ppc benh branch diff) updated to 2.4.20-ben7 as of 2003-02-27

  * Fri Feb 14 2003 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.4.20-0vl3.1
  - Patch180 (ppc benh branch diff) updated to 2.4.20-ben5 as of 2003-01-30
  - TODO: as the newest benh stuffs goes with bk tree,
          we have to follow it (if we have time in the near future...)
          at the moment newest linuxppc_2_4_benh tree updated in 2003-02-09

* Sat Jul 19 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.21-0vl17
- update swsusp to 1.0.3

* Sat Jul 19 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.21-0vl16
- update swsusp to 1.0.2

* Thu Jul 17 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.21-0vl15
- update swsusp to 1.0.1 release
- add patch to support newer Sony Cybershot.
- add /usr/src/linux-%{kversion}/include/openssl to %%files.

* Tue Jul 15 2003 Tomoya TAKA <taka@vinelinux.org> 2.4.21-0vl14
- add patch1010 as an alternative to patch1000, because patch1000
  depends on swsusp patches and it's rejected except on %%{all_x86}
- update alpha configs, again
  
* Sun Jul 13 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.21-0vl13
- modify i586 config
- update NFS client patch
- update swsusp to 1.0rc2
- remove patch4001 that fix old swsusp patch

* Sun Jul 06 2003 Tomoya TAKA <taka@vinelinux.org> 2.4.21-0vl12
- apply patch3300,3310 for %%{all_x86} only
- skip patch5090-5094 on alpha
- skip patch4001 on alpha (is this a fix of swsusp patch?)
- update alpha configs

* Sun Jun 29 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.21-0vl11
- add patch4001 to fix unresolved symbol in ntfs.o

* Sat Jun 28 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.21-0vl10
- update NTFS driver to 2.1.4a
- add SATA support patch
- update DRM4.3 patch
- update agpgart from 2.4.21-ac4
- cleanup swsusp/cpufreq patches.

* Thu Jun 26 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.21-0vl9
- remove "-g" option from swsusp patch again...

* Wed Jun 25 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.21-0vl8
- update swsusp to 1.0-pre14

* Wed Jun 25 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.21-0vl7
- update acpi to 20030619
- update swsusp to 1.0-pre13

* Wed Jun 18 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.21-0vl6
- update swsusp to 1.0-pre11

* Tue Jun 17 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.21-0vl5
- update swsusp to 1.0-pre9

* Tue Jun 17 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.21-0vl4
- update swsusp to 1.0-pre8
- update NFS client bugfix/enhancement patch

* Sun Jun 15 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.21-0vl3
- disable "-g" option in top makefile. (in swsusp patch)
  It makes "vmlinux" 10 times bigger than normal one...
- add ReadLatency2/DesktopTuning1(patch930/931) from ck

* Sat Jun 14 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.21-0vl2
- enable CONFIG_SOFTWARE_SUSPEND_DEBUG and
  CONFIG_SOFTWARE_SUSPEND_COMPRESSION for i686 kernel.

* Sat Jun 14 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.21-0vl1
- update to 2.4.21
- update swsusp to 1.0-pre7

* Thu Jun 05 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.20-0vl40
- update swsusp to 1.0pre3

* Wed Jun 04 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.20-0vl39
- update to 2.4.21-rc7
- update swsusp to 1.0-pre1
- add patch989 to fix compile failure on SWSUSP disabled.

* Wed Jun 04 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.20-0vl38
- update swsusp to beta19-27A

* Tue Jun 03 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.20-0vl37
- update to 2.4.21-rc6
- update acpi patch to 20030523
- update NFS client patch

* Mon May 12 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.20-0vl36
- update orinoco driver to 0.13d with scanning support.
- update NFS client patch

* Fri May  9 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.20-0vl35
- update to 2.4.21-rc2
- update intelfb to 0.7.6
- remove obsolete patches
- update ix86 configs

* Sun May  4 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.20-0vl34
- add ieee1394 update from ac patch
- add ppp-mppe patch

* Sat May  3 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.20-0vl33
- reverse acpi patch to 20030328

* Fri May  2 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.20-0vl32
- update acpi patch to 20030424
- update swsusp patch to beta19-27
- add bootsplash-3.0.7 patch (http://bootsplash.org/)
- add swsusp fbcon splash patch

* Tue Apr 22 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.20-0vl31
- update to 2.4.21-rc1
- fix 'make xconfig' failure
- update *.configs

* Tue Apr 08 2003 Tomoya TAKA <taka@vinelinux.org> 2.4.20-0vl30
- apply patch1480 to %%{all_x86} only
- update alpha configs

* Tue Apr  8 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.20-0vl29
- update to swsusp patch to beta19-21

* Tue Apr  8 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.20-0vl28
- disable DRM module in i386/i386-smp config.
  - DRM does not work on pure i386.

* Mon Apr  7 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.20-0vl27
- reverse swsusp patch to beta19-19
  - beta19-20 does not works for me..

* Sun Apr  6 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.20-0vl26
- update to 2.4.21-pre7
- update ix86 configs
- add patch to fix compile failure
- add patch to fix md.o unresolved symbol

* Tue Apr  1 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.20-0vl25
- update swsusp patch to beta19-20
- add missing acpi headers

* Tue Apr  1 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.20-0vl24
- update acpi patch to 20030328
- add merged swsusp update patch:swsusp-beta19-original-to-patch-19
  remove splited old patches 01-19.
- add patch923 to fix ide-scsi on smp box.
- add patch10002 to fix "make xconfig"

* Sun Mar 30 2003 Tomoya TAKA <taka@vinelinux.org> 2.4.20-0vl23
- add patch931 (alpha-ptrace-fix.patch)
- drop obsoleted patch124 (nautilus.patch for alpha)
- modify configs for alpha

* Fri Mar 28 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.20-0vl22
- update to 2.4.21-pre6
- update NFS patch
- drop obsolete patche: 1430, 3700
- modified i686-smp config to support ACPI (for Hyper Threading CPUs)

* Thu Mar 27 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.20-0vl21
- add patch996:patch-beta19-16 for swsusp update

* Mon Mar 24 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.20-0vl20
- add patch99[345]:patch-beta19-1[345] for swsusp update

* Sun Mar 23 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.20-0vl19
- add patch3800 to improve nfs client
  - see http://www.fys.uio.no/~trondmy/src/2.4.21-pre6/

* Sat Mar 22 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.20-0vl18
- add Patch99[12]:patch-beta19-1[12] for swsusp update
- add patch1430 for ICH5 support
- add Patch1440-1480 to fix usb driver bug
- add patch5270 to support SB Live! Audigy
- update i810fb driver to 0.0.35

* Fri Mar 21 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.20-0vl17
- add Patch990:patch-beta19-10 for swsusp update

* Thu Mar 20 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.20-0vl16
- update to 2.4.21-pre5
- update acpi patch to 20030228
- update swsusp patch to beta19
- add patch98[1-9]:swsusp-beta19-0[1-9]
- add ptrace security hole fix patch
- update cpufreq patch
- fix some compile failure
- drop obsolete patches which is included in upstream.

* Thu Jan 23 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.20-0vl14
- add patch3700 to support VAIO SRX memorystick.

* Tue Jan 21 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.20-0vl13
- add patch-swsusp16D,E,F,G
- modify x86 configs to make acpi/processor as module.

* Sat Jan 18 2003 Tomoya TAKA <taka@vinelinux.org> 2.4.20-0vl12
- update alpha configs

* Sat Jan 18 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.20-0vl11
- disabled orinoco 0.13a patch.
  some cards does not work with 0.13a driver...
- add patch-swsusp16C

* Fri Jan 17 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.20-0vl10
- add patch-swsusp16A, patch-swsusp16B
  - see http://sourceforge.net/projects/swsusp
- update orinoco driver from 0.11b to 0.13a
- update ix86 configs

* Wed Jan 15 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.20-0vl9
- add swsusp16 patch for 2.4.20-pre3+acpi-20030109

* Tue Jan 14 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.20-0vl8
- change cpufreq patch from stable version to advanced version.

* Tue Jan 14 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.20-0vl7
- update to 2.4.21-pre3
- update acpi patch to 20030109
- add cpufreq patch
- update swsusp patch to beta16
  - FIXME: disable at this time, because swsusp patch can not apply
    to new ide layer. ( newer kernel ad acpi patch )
- remove some patches which is included in upstream pre patch.
  - i810_audio, ac97codec, promise...
- update bttv/tuner/i2c driver from bytesex.org

* Wed Dec 11 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.20-0vl5
- add experimental software suspend patch.
- update acpi patch to 20021205

* Mon Dec 09 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.4.20-0vl3
- Patch180 (ppc benh branch diff) update to 2.4.20-ben1 as of 20021207
- Patch189 temporarily disabled - now it's Kobayashi-san's turn (grin)

* Mon Dec 02 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.4.20-0vl2
- initial attempt for ppc support
  (updated Patch180, ppc*config modified including CONFIG_TULIP=y)

* Fri Nov 29 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.20-0vl1
- update to 2.4.20
- update acpi patch to 20021126

* Wed Nov 27 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.19-0vl27
- update to 2.4.20-rc4

* Sat Nov 23 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.19-0vl26
- add bdflush tuning and document updates.

* Sat Nov 23 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.19-0vl25
- update to 2.4.20-rc3
- update acpi patch to 20021118
- add ac97-codec patch
- change i/o elevator value to improve interactiveness.
  - This change may cause i/o performance falls. 
    if you need higher i/o performance, you can use '/sbin/elvtune'
    to change back to original value.
    (ex. /sbin/elvtune -r 2048 -w 8192 /dev/hda)

* Tue Nov 19 2002 Tomoya TAKA <taka@vinelinux.org> 2.4.19-0vl24
- update configs for alpha

* Sat Nov 16 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.19-0vl23
- update to 2.4.20-rc2
- fixed local denial of service issue

* Sun Nov 10 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.19-0vl22
- fixed /boot/autoconf-*.h generation script.

* Thu Nov  7 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.19-0vl21
- fixed autoconf-*.h-* filename conflicts. use autoconf-*.h-%%{KVERREL}

* Wed Nov  6 2002 Tomoya TAKA <taka@vinelinux.org> 2.4.19-0vl20
- update configs for alpha

* Tue Nov  5 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.19-0vl19
- modify i686 config to add CONFIG_ACPI_TOSHIBA=m
  ( i686 kernel may runs on crusoe architecture )
- add patch3400 to update neofb-0.4
- update Configure.help-ja
- update promise documentation and config.in.

* Tue Nov  5 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.19-0vl18
- add patch1500 for ide-scsi driver fix.
- add patch3800,3810  for bttv driver update,
  patch3820 for tuner update, patch3830 for i2c update.

* Mon Nov  4 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.19-0vl17
- fix autoconf.h handling.
  (autoconf-*.h has a wrong config for wrong target)
  - now we have a new /boot/autoconf-*.h-%%{kversion} for each target.
  - FIXME: we should use glibc-kernelheaders like other distro.

* Sun Nov  3 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.19-0vl15
- oops, i810_audio patch was not applied... fixed it.

* Sun Nov  3 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.19-0vl14
- update i810_audio to support ICH4 (from ac patch)
- update ix86 configs
- add other archtecture's include/asm to kernel-headers

* Sat Nov  2 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.19-0vl13
- update to 2.4.20-rc1
- update acpi patch to 20021101
- remove unstable ac patch ( use old ide subsystem )

* Mon Oct 28 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.19-0vl12
- update to 2.4.20-pre10-ac2

* Sat Oct 05 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.19-0vl11
- revert to 2.4.20-pre7-ac3

* Sat Oct 05 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.19-0vl10
- fix some compile failure (10020-10022)
- fix unresolved symbols in pci_hotplug.o (10023)

* Sat Oct 05 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.19-0vl9
- update to 2.4.20-pre8-ac3 for ix86
- update acpi patch to 20021002
  remove toshiba acpi patch
  
* Mon Sep 30 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.19-0vl8
- update to 2.4.20-pre7-ac3 for ix86
- update i810fb-0.0.33

* Wed Sep 25 2002 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 2.4.19-0vl7
- updated to 2.4.20-pre7-ben0 (as of Sep 25 2002) for ppc
  (update: cpufreq, added ata100 support)

* Sat Sep 21 2002 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 2.4.19-0vl6
- updated to 2.4.20-pre7-ben0 (as of Sep 21 2002) for ppc
  (minor fix and code clean up)

* Wed Sep 18 2002 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 2.4.19-0vl5
- updated to 2.4.20-pre7-ben0 (as of Sep 18 2002) for ppc
  (added "PowerMac G4 Windtunnel" support)
- modified Patch10010 (init/do_mounts.c)

* Fri Sep 13 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.4.19-0vl4
- Patch189 replaced with a new one (thanks Kobayashi-san)
- CONFIG_CPU_FREQ* is not set again

* Wed Sep 11 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.4.19-0vl3
- updated to 2.4.20-pre5-ben0 (as of Sep 10 2002) for ppc
  (nap-related fixes and pdc202xx fixes)
- CONFIG*PDC202XX_*=y for ppc*config (meant for RackMac?)
- TESTING: CONFIG_IEEE1394 and CONFIG_IEEE1394_OHCI1394 set from m to y

* Sat Sep 07 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.4.19-0vl2
- modified Patch10010 (sys_call_table symbol necessary at least for MOL)

* Thu Sep 05 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.4.19-0vl0.11
- updated to 2.4.20-pre5-ben0 (as of Sep 05 2002) for ppc
  (solve sleep problem on Pismo PowerBook)
- add CONFIG_CPU_FREQ_PMAC=y for ppc*config

* Tue Sep 03 2002 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 2.4.19-0vl0.10
- changed ppc-config for rp-pppoe
  - CONFIG_SERIAL_NONSTANDARD=y
  - CONFIG_N_HDLC=m

* Tue Sep 03 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.4.19-0vl0.9
- added Patch3640 to successfully build sym53c8xx_2
- merged ppc only changes
  - updated to 2.4.20-pre5-ben0 (as of Sep 03 2002)
  - Patch1 (-ac), Patch950, Patch960 (ACPI), Patch1200 (nmi)
    and Patch3600 (ide-ac) NOT applied for ppc
  - CONFIG_FB_RIVA=y
  - cleaned up and modified several ppc patches
  - TODO: manage Ohare PB patches (by Kobayashi-san?)

* Sat Aug 31 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.19-0vl0.8
- add ide patch again for some ide controller
- clean up spec file a little.

* Fri Aug 30 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.19-0vl0.7
- update to 2.4.20-pre5-ac1
- add i2c update patch
- remove ide update patch
- remove i810_audio update patch
- update acpi patch to 20020829

* Thu Aug 29 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.19-0vl0.6
- add i810_audio driver update patch

* Wed Aug 28 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.19-0vl0.5
- update to 2.4.20-pre4-ac2
- add ide patch
- update wacom driver

* Sat Aug 24 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.19-0vl0.4
- update pre-patch to 2.4.20-pre4
- add ac-patch 2.4.20-pre4-ac1
- update acpi patch to acpi-20020821-2.4.20-pre4

* Wed Aug 21 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.19-0vl0.3
- add some patches from 2.4.20-pre2-ac5

* Wed Aug 21 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.19-0vl0.2
- add new ide driver from 2.4.20-pre2-ac5

* Thu Aug 15 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.19-0vl0.1
- update pre patch to 2.4.20-pre2

* Wed Aug 14 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.19-0vl0
- initial testing for 2.4.19
- update to 2.4.19
- add 2.4.20-pre1
- update patches, remove obsolete patches
- update acpi patch
- update i810fb

* Sun Jun 09 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.18-0vl24
- modify configs for ix86 ( change CONFIG_FB_RADEON to build as module )
- add some radeonfb patch

* Sat Jun 08 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.18-0vl23
- add Patch1401,1402 for ext3-0.9.18 (drop Patch1400)

* Wed Jun 05 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.18-0vl22
- update ix86 configs

* Wed Jun 05 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.18-0vl21
- update ix86 configs
- add Patch3200 for new DRM driver
- add i830 DRM
- disable SiS drm
- add i810fb driver

* Wed May 22 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.18-0vl20
- add patch10 ( apic patch in 2.4.19-pre8 ) for i386
- disable ACPI in i686-smp again...

* Tue May 21 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.18-0vl19
- drop Patch4010-4100
- add Patch4000 ( USB part of 2.4.19-pre8 )

* Mon May 20 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.18-0vl18
- more usb update ( Patch4064-4100 )
- add pciirq patch (Patch942)
- update orinoco driver 0.11b

* Fri May 17 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.18-0vl17
- usb update ( Patch4000-4063 )
- update ix86 configs

* Fri May 17 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.18-0vl16
- merged some patch from Red Hat Kernel
  bugfixes: Patch5, Patch870-890, Patch1255, Patch1310-2140
  driver update: Patch5120-5140
- update acpi-20020503 (Patch950)
- update ix86 configs

* Thu May 02 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.4.18-0vl15
- Patch5180 (tulip_old) enabled again for ppc

* Sat Mar 30 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.4.18-0vl14
- added Patch194 to fix vmode 20 timings for ppc
- merged yet another ppc fix

  - Wed Mar 27 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org>
  - CONFIG_RIVA is NOT set again. Doh.
  - added Patch193 for iBook2 with 14" LCD (from 2.4.19pre4-ben0)

* Fri Mar 29 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.18-0vl13
- modified configs for i686.

* Thu Mar 28 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.18-0vl12
- merged with PPC kernel
- modified configs for ix86
- enable acpi on i386,i586. ( merged with 0vl9 )

* Tue Mar 26 2002 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 2.4.18-0vl11
- avoid ac-patch (not well around ide)
- fixed zlib security fix (patch900)

* Sun Mar 24 2002 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 2.4.18-0vl10
- reverted to 2.4.18
- merged with rh-2.4.18-0.4
  * Fri Mar 08 2002 Benjamin LaHaise <bcrl@redhat.com>
  - add fix for inode sync problem (linux-2.4.18-sync_one.patch)

  * Mon Mar 04 2002 Arjan van de Ven <arjanv@redhat.com>
  - 2.4.18-ac3
  - removed some stale patches
  - added compaq driver update
  - added tigon3 driver

  * Fri Mar  1 2002 Stephen C. Tweedie <sct@redhat.com>
  - Add akpm's get_request fairness patch from 2.4.19-pre1

  * Thu Feb 28 2002 Stephen C. Tweedie <sct@redhat.com>
  - Add linux-2.4.17-lvm-fixes.patch for miscellaneous local LVM fixes and
    tweaks.

* Sun Mar 24 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.18-0vl8
- modified configs for ix86
- update acpi source release
- add acpi realy disable patch
  * Wed Mar 20 2002 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 2.4.18-0vl8
  - updated and adapted to 2.4.19-pre3
  - fixed at1700 [VineSeed:06018]
  - changed DEFAULT_CONSOLE_LOGLEVEL to 6 [VineSeed:06016]
  - reverted ppc only %%post section [VineSeed:05978]
  - fixed a configuration problem [VineSeed:06149]
  - modified rivafb
  - updated wvlan (3.1.31)

* Mon Mar 11 2002 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 2.4.18-0vl7
- updated and adapted to 2.4.19-pre2

* Mon Mar 11 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org>
- added Patch3000 for RATOC CF03 (USB CF reader) support

* Sun Mar 10 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.4.18-0vl6
- /lib/modules/%%{version}-%%{release}/modules.{dep,pcimap} are NOT in
  the file list. Remove 'em before uninstalling in the %%pre section.
- ppc only fix: cleaned up ppc*.config
- ppc only fix: modified %%post section to write usb-controller line

* Sat Mar 09 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.4.18-0vl5
- ppc only fix: CONFIG_RIVA is set again, with Ani Joshi's rivafb ppc
  patch (posted at linuxppc-dev ML in last October)


* Fri Mar 08 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.4.18-0vl4
- ppc only fix: CONFIG_DEVFS is NOT set now. who is to blame? (lol
- ppc only fix: Patch5180 (tulip patch) NOT applied for ppc

* Thu Mar 07 2002 Toru Sagami <sagami@vinelinux.org>
- marged 2.4.17-0vl7 and proper 2.4.18 with minor tridentfb fix
- added a patch for smbfs codepage fixes (appears in 2.4.18-ac3)
- added a trivial patch to fix /proc/version print
- disable CONFIG_ACPI for ix86 (caused boot failure on some hosts)
- disable CONFIG_DRM_SIS for i386-BOOT (undefined symbols sis_free, sis_malloc)
- regenerate configs for i586
- remove unnecessary empty directories in /lib/modules/$KernelVer
- stop preun script removing modules.* file in /lib/modules 

* Wed Mar 06 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.4.18-0vl2
- added Provides/Obsoletes: kernel24* for backward compatibility
- added Patch190 (BUT DISABLED AT THE MOMENT),
  and modified ppc*config to fit it

* Sat Mar 02 2002 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 2.4.18-0vl1
- rename package from kernel24 to kernel
- marged 2.4.17-0.18 and 2.4.17-0vl3.5(ppc)

* Thu Feb 21 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.17-0vl7
- modified configs (add pcmcia driver...)
- drop Patch640

* Sun Feb 10 2002 Tomoya TAKA <taka@vinelinux.org> 2.4.17-0vl6
- modify alphaexports.patch (Patch125), it was partly merged in pre patch
- fix configs for alpha about NLS(cp932) and more

* Sat Feb 09 2002 Toru Sagami <sagami@vinelinux.org> 2.4.17-0vl5
- patch-2.4.18-pre9.bz2
- drop all patches, the ones merged in pre patch
- make sure that we have configs matched the source

* Thu Feb 07 2002 Toru Sagami <sagami@vinelinux.org> 2.4.17-0vl4
- fixed ix86 configs about NLS(cp932) and regenerated ones
- CONFIG_TULIP=y -> m on ix86
- added i586 for %%{all_x86} (without this, patch #721 causes failure)
- revive JFdocs Configure.ja
- re-enabled depmod in %%post 

* Mon Jan 14 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org>
- added Ani Joshi's rivafb patch for pmac
- CONFIG_MACE_AAUI_PORT is disabled for ppc

* Sat Jan 12 2002 Tomoya TAKA <taka@vinelinux.org> 2.4.17-0vl3
- apply Patch181, 183 and 184 to all archs
  (suggested by KOBAYASHI R. Taizo <tkoba@vinelinux.org> [VineSeed:05402])
- fix configs for alpha
- fixes for sparc by Satoshi MACHINO <machino@vinelinux.org>
  - added sparc-sys_sunos.patch (linux-2.4.16-sparc-sys_sunos.patch)
  - fixed sparc's config

* Wed Jan 09 2002 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 2.4.17-0vl2
- merged patches form 2.4.16-0.13
- pcmcia stuff is seperated to kernel-pcmcia-cs package

* Wed Dec 19 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.16-0vl2
- added marcelo patch 2.4.17-rc2

* Mon Dec 17 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.16-0vl1
- new upstream version 2.4.16
- added marcelo patch 2.4.17-rc1
- added new acpi patch

* Mon Oct 29 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.13-0vl4
- new upstream version 2.4.14pre3

* Wed Oct 26 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.13-0vl1
- new upstream version 2.4.13

* Wed Oct  3 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.10-0vl3
- added ac3 patch

* Tue Oct  2 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.10-0vl2
- added ac2 patch

* Fri Sep 28 2001 KOBAYASHI R. Taizo <tkoba@vinelinux.org>
- 2.4.10-0vl0.1
- Update 2.4.10 and BenH Sep26
- Fixed serial driver
- Changed generating pcmcia modules from pcmcia-cs to kernel tree

* Mon Sep 17 2001 KOBAYASHI R. Taizo <tkoba@vinelinux.org>
- 2.4.9-0vl0.2
- Update 2.4.10-pre9 and BenH Sep17

* Mon Aug 27 2001 KOBAYASHI R. Taizo <tkoba@vinelinux.org>
- 2.4.6-0vl0.4
- added Patch5 (serial) and Patch6 (trackpad) for PowerBooks

* Thu Aug 16 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@vinelinux.org>
- 2.4.6-0vl0.3
- added Patch50 and Patch51 for PowerBooks
- added radeonfb patch (Patch110)

* Fri Aug 10 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@vinelinux.org>
- 2.4.6-0vl0.2
- added ext3 patch (ext3-2.4-0.9.2-246.gz)
- disable CONFIG_INET_ECN

* Sat Jul 14 2001 KOBAYASHI R. Taizo <tkoba@ike-dyn.ritsumei.ac.jp>
- update to 2.4.6 (TiBook sleep O.K.)

* Thu Jun 28 2001 KOBAYASHI R. Taizo <tkoba@ike-dyn.ritsumei.ac.jp>
- update to 2.4.6-pre6
- added ieee1394 modules

* Tue Jun 26 2001 KOBAYASHI R. Taizo <tkoba@ike-dyn.ritsumei.ac.jp>
- synced bens-Jun26

* Sat Jun 23 2001 KOBAYASHI R. Taizo <tkoba@ike-dyn.ritsumei.ac.jp>
- TEST RELEAS kernel24 (2.4.6-pre5)
- Derived from 2.2.19-0vl7
